<?php

$force = in_array('--force', $argv);
$baseDir = realpath(__DIR__ . '/../..');
/** @noinspection PhpIncludeInspection */
require "$baseDir/vendor/autoload.php";

$fs = new Symfony\Component\Filesystem\Filesystem();
$config = json_decode(file_get_contents("$baseDir/composer.lock"));

foreach ($config->packages as $package) {
    $themes = $package->extra->vufind->themes ?? [];
    foreach ($themes as $themeDir => $themeName) {
        if ($fs->exists($targetDir = "$baseDir/themes/$themeName") && $force) {
            $fs->remove($targetDir);
        }

        if (!$fs->exists($targetDir)) {
            $sourceDir = "$baseDir/vendor/$package->name/$themeDir";
            $fs->mirror($sourceDir, $targetDir);
            echo "Copied $sourceDir to $targetDir\n";
        }

        foreach (glob("$targetDir/languages/*", GLOB_ONLYDIR) as $dir) {
            $textDomainDir = "$baseDir/languages/" . basename($dir);
            if (!$fs->exists($textDomainDir)) {
                $fs->mkdir($textDomainDir);
                echo "Created empty directory at $textDomainDir\n";
            }
        }
    }
}

clearstatcache();